/*
 * The Clear BSD License
 * Copyright 2017-2018 NXP
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 *  that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTA4 (coord J8), J12[3]/SW2/ELECTRODE0
  @{ */
#define BOARD_SW2_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_SW2_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_SW2_PIN 4U     /*!<@brief PORTA pin index: 4 */
                             /* @} */

/*! @name PORTD2 (coord C3), J13[A76]/J13[B35]/U2[29]/SW3/SDRAM_A12
  @{ */
#define BOARD_SW3_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_SW3_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_SW3_PIN 2U     /*!<@brief PORTD pin index: 2 */
                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitButtons(void);

/*! @name PORTD11 (coord E3), D1[C]/RED
  @{ */
#define BOARD_LED_RED_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_RED_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_RED_PIN 11U    /*!<@brief PORTD pin index: 11 */
                                 /* @} */

/*! @name PORTD12 (coord F4), D2[C]/GREEN
  @{ */
#define BOARD_LED_GREEN_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_GREEN_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_GREEN_PIN 12U    /*!<@brief PORTD pin index: 12 */
                                   /* @} */

/*! @name PORTD13 (coord G3), D3[C]/BLUE
  @{ */
#define BOARD_LED_BLUE_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_BLUE_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_BLUE_PIN 13U    /*!<@brief PORTD pin index: 13 */
                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDs(void);

#define SOPT5_LPUART1RXSRC_LPUART_RX 0x00u /*!<@brief LPUART1 receive data source select: LPUART1_RX pin */
#define SOPT5_LPUART1TXSRC_LPUART_TX 0x00u /*!<@brief LPUART1 transmit data source select: LPUART1_TX pin */

/*! @name PORTC4 (coord A8), J13[A44]/J13[A69]/J8[2]/U2[22]/LPUART1_TX/SDRAM_A19
  @{ */
#define BOARD_DEBUG_UART_TX_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_DEBUG_UART_TX_PIN 4U     /*!<@brief PORTC pin index: 4 */
                                       /* @} */

/*! @name PORTC3 (coord B8), J13[A43]/J6[2]/U2[38]/LPUART1_RX/SDRAM_CLK
  @{ */
#define BOARD_DEBUG_UART_RX_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_DEBUG_UART_RX_PIN 3U     /*!<@brief PORTC pin index: 3 */
                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void);

/*! @name PORTA19 (coord K11), Y1[1]/XTAL0
  @{ */
#define BOARD_XTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_XTAL0_PIN 19U    /*!<@brief PORTA pin index: 19 */
                               /* @} */

/*! @name PORTA18 (coord L11), Y1[3]/EXTAL0
  @{ */
#define BOARD_EXTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_EXTAL0_PIN 18U    /*!<@brief PORTA pin index: 18 */
                                /* @} */

/*! @name XTAL32 (coord L4), Y2[1]/XTAL32
  @{ */
/* @} */

/*! @name EXTAL32 (coord L5), Y2[2]/EXTAL32
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSC(void);

/*! @name PORTD9 (coord A9), J13[A8]/U1[12]/U3[7]/U26[6]/I2C_SDA
  @{ */
#define BOARD_I2C_SDA_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_I2C_SDA_PIN 9U     /*!<@brief PORTD pin index: 9 */
                                 /* @} */

/*! @name PORTD8 (coord A10), J13[A7]/U1[11]/U3[8]/U26[4]/I2C_SCL
  @{ */
#define BOARD_I2C_SCL_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_I2C_SCL_PIN 8U     /*!<@brief PORTD pin index: 8 */
                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitI2C_sensors(void);

/*! @name PORTB16 (coord B10), J13[B68]/J12[10]/BRD_PAD2/U2[4]/SDRAM_D17/ELECTRODE5
  @{ */
#define BOARD_TSI_ELECTRODE_1_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_TSI_ELECTRODE_1_PIN 16U    /*!<@brief PORTB pin index: 16 */
                                         /* @} */

/*! @name PORTB17 (coord E9), J13[B67]/J12[11]/BRD_PAD1/U2[2]/SDRAM_D16/ELECTRODE6
  @{ */
#define BOARD_TSI_ELECTRODE_2_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_TSI_ELECTRODE_2_PIN 17U    /*!<@brief PORTB pin index: 17 */
                                         /* @} */

/*! @name PORTD14 (coord G4), D13[C]/LED_GRN
  @{ */
#define BOARD_LED1_ELECTRODE_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED1_ELECTRODE_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED1_ELECTRODE_PIN 14U    /*!<@brief PORTD pin index: 14 */
                                        /* @} */

/*! @name PORTD15 (coord H4), D14[C]/LED2_ELECTRODE
  @{ */
#define BOARD_LED2_ELECTRODE_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED2_ELECTRODE_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED2_ELECTRODE_PIN 15U    /*!<@brief PORTD pin index: 15 */
                                        /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTOUCH(void);

/*! @name PORTD6 (coord B2), J13[A11]/J13[A80]/TP2/POT_5K
  @{ */
#define BOARD_ADC_POT_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_ADC_POT_PIN 6U     /*!<@brief PORTD pin index: 6 */
                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPOT(void);

/*! @name PORTE2 (coord C1), U23[5]/QSPI0A_DATA0
  @{ */
#define BOARD_QSPI0A_DATA0_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_DATA0_PIN 2U     /*!<@brief PORTE pin index: 2 */
                                      /* @} */

/*! @name PORTE4 (coord D1), U23[2]/QSPI0A_DATA1
  @{ */
#define BOARD_QSPI0A_DATA1_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_DATA1_PIN 4U     /*!<@brief PORTE pin index: 4 */
                                      /* @} */

/*! @name PORTE3 (coord D2), U23[3]/QSPI0A_DATA2
  @{ */
#define BOARD_QSPI0A_DATA2_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_DATA2_PIN 3U     /*!<@brief PORTE pin index: 3 */
                                      /* @} */

/*! @name PORTE0 (coord B1), U23[7]/QSPI0A_DATA3
  @{ */
#define BOARD_QSPI0A_DATA3_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_DATA3_PIN 0U     /*!<@brief PORTE pin index: 0 */
                                      /* @} */

/*! @name PORTE1 (coord C2), U23[6]/QSPI0A_SCLK
  @{ */
#define BOARD_QSPI0A_SCLK_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_SCLK_PIN 1U     /*!<@brief PORTE pin index: 1 */
                                     /* @} */

/*! @name PORTE5 (coord E2), U23[1]/QSPI0A_SS0
  @{ */
#define BOARD_QSPI0A_SS0_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0A_SS0_PIN 5U     /*!<@brief PORTE pin index: 5 */
                                    /* @} */

/*! @name PORTE8 (coord F2), U22[5]/QSPI0B_DATA0
  @{ */
#define BOARD_QSPI0B_DATA0_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0B_DATA0_PIN 8U     /*!<@brief PORTE pin index: 8 */
                                      /* @} */

/*! @name PORTE10 (coord G2), U22[2]/QSPI0B_DATA1
  @{ */
#define BOARD_QSPI0B_DATA1_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0B_DATA1_PIN 10U    /*!<@brief PORTE pin index: 10 */
                                      /* @} */

/*! @name PORTE9 (coord F1), U22[3]/QSPI0B_DATA2
  @{ */
#define BOARD_QSPI0B_DATA2_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0B_DATA2_PIN 9U     /*!<@brief PORTE pin index: 9 */
                                      /* @} */

/*! @name PORTE6 (coord E1), U22[7]/QSPI0B_DATA3
  @{ */
#define BOARD_QSPI0B_DATA3_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0B_DATA3_PIN 6U     /*!<@brief PORTE pin index: 6 */
                                      /* @} */

/*! @name PORTE7 (coord F3), U22[6]/QSPI0B_SCLK
  @{ */
#define BOARD_QSPI0B_SCLK_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0B_SCLK_PIN 7U     /*!<@brief PORTE pin index: 7 */
                                     /* @} */

/*! @name PORTE11 (coord G1), U22[1]/QSPI0B_SS0
  @{ */
#define BOARD_QSPI0B_SS0_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_QSPI0B_SS0_PIN 11U    /*!<@brief PORTE pin index: 11 */
                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitQuadSPI_FLASH(void);

/*! @name PORTB4 (coord B11), J13[C61]/J35[C7]/PTB4_EMVSIM1_IO
  @{ */
#define BOARD_SMARTCARD_IO_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_SMARTCARD_IO_PIN 4U     /*!<@brief PORTB pin index: 4 */
                                      /* @} */

/*! @name PORTB5 (coord C11), J13[B59]/J13[C58]/J35[C3]/PTB5_EMVSIM1_CLK
  @{ */
#define BOARD_SMARTCARD_CLOCK_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_SMARTCARD_CLOCK_PIN 5U     /*!<@brief PORTB pin index: 5 */
                                         /* @} */

/*! @name PORTB6 (coord F11), J13[C25]/U2[13]/U7[B2]/SDRAM_D23/PTB6_EMVSIM1_VCCEN
  @{ */
#define BOARD_SMARTCARD_VCCEN_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_SMARTCARD_VCCEN_PIN 6U     /*!<@brief PORTB pin index: 6 */
                                         /* @} */

/*! @name PORTB7 (coord E11), J13[C22]/J35[SW1]/U2[11]/SDRAM_D22/PTB7_EMVSIM1_PD
  @{ */
#define BOARD_SMARTCARD_PD_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_SMARTCARD_PD_PIN 7U     /*!<@brief PORTB pin index: 7 */
                                      /* @} */

/*! @name PORTB8 (coord D11), J13[C59]/J35[C2]/U2[10]/SDRAM_D21/PTB8_EMVSIM1_RST
  @{ */
#define BOARD_SMARTCARD_RST_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_SMARTCARD_RST_PIN 8U     /*!<@brief PORTB pin index: 8 */
                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitEMVSIM(void);

/*! @name USB0_DP (coord H2), J13[A55]/J19[3]
  @{ */
/* @} */

/*! @name USB0_DM (coord H1), J13[A54]/J19[2]
  @{ */
/* @} */

/*! @name USB_VDD (coord J1), J22[2]/3V3_BRD/MCU_VDD
  @{ */
/* @} */

/*! @name PORTA29 (coord H11), U5[6]/Q1[3]
  @{ */
#define BOARD_USB_PWR_MON_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_USB_PWR_MON_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_USB_PWR_MON_PIN 29U    /*!<@brief PORTA pin index: 29 */
                                     /* @} */

/*! @name PORTC19 (coord A4), J28[2]/U5[3]/KL80_USB_EN
  @{ */
#define BOARD_USB_PWR_EN_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_USB_PWR_EN_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_USB_PWR_EN_PIN 19U    /*!<@brief PORTC pin index: 19 */
                                    /* @} */

/*! @name PORTC18 (coord B4), J18[2]/U5[4]/KL80_USB_FLGA_B
  @{ */
#define BOARD_USB_FLGA_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_USB_FLGA_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_USB_FLGA_PIN 18U    /*!<@brief PORTC pin index: 18 */
                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitUSB(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
